io.vertx.rxjava.servicediscovery.spi

## Class ServicePublisher

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServicePublisher

-     public class ServicePublisher
      extends Object

  The publisher is used by the importer to publish or unpublish records.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ServicePublisher>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicePublisher(ServicePublisher delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServicePublisher` | `getDelegate()`
    `static ServicePublisher` | `newInstance(ServicePublisher arg)`
    `void` | `publish(Record record, Handler<AsyncResult<Record>> resultHandler)` Publishes a record.
    `rx.Single<Record>` | `rxPublish(Record record)` Publishes a record.
    `rx.Single<Void>` | `rxUnpublish(String id)` Un-publishes a record.
    `void` | `unpublish(String id, Handler<AsyncResult<Void>> resultHandler)` Un-publishes a record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ServicePublisher> __TYPE_ARG

  - ### Constructor Detail

    - #### ServicePublisher

          public ServicePublisher(ServicePublisher delegate)

  - ### Method Detail

    - #### getDelegate

          public ServicePublisher getDelegate()

    - #### publish

          public void publish(Record record,
                              Handler<AsyncResult<Record>> resultHandler)

      Publishes a record.
      Parameters:
        `record` - the record
        `resultHandler` - handler called when the operation has completed (successfully or not). In case of success, the passed record has a registration id required to modify and un-register the service.

    - #### rxPublish

          public rx.Single<Record> rxPublish(Record record)

      Publishes a record.
      Parameters:
        `record` - the record
      Returns:

    - #### unpublish

          public void unpublish(String id,
                                Handler<AsyncResult<Void>> resultHandler)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
        `resultHandler` - handler called when the operation has completed (successfully or not).

    - #### rxUnpublish

          public rx.Single<Void> rxUnpublish(String id)

      Un-publishes a record.
      Parameters:
        `id` - the registration id
      Returns:

    - #### newInstance

          public static ServicePublisher newInstance(ServicePublisher arg)

Copyright © 2017. All rights reserved.